Page MenuHomePhabricator

Convert GlobalCollect credit card forms from RapidHTML to Mustache
Closed, ResolvedPublic4 Story Points

Description

All methods require the personal info fields for your country.

Some methods will require a recurring variant (just changes the amount label and adds fine print).

Be careful not to lose any per-method JS.

There are some forms with country dropdowns--stop doing that.

Special needs for each method:

  • bt: none.
  • cash-boletos: fine print about globalcollect-proxy
  • cc: show allowed card types
  • dd: bank fields per country; gc-proxy fine print
  • ew: logo for chosen submethod; some custom JS?
  • obt: BPay logo and fine print
  • rcc: same as cc
  • rtbt: bank chooser

Event Timeline

Ejegg created this task.Jan 6 2016, 10:19 PM
Ejegg updated the task description. (Show Details)
Ejegg raised the priority of this task from to Needs Triage.
Ejegg added a subscriber: Ejegg.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 6 2016, 10:19 PM
awight updated the task description. (Show Details)Jan 6 2016, 10:41 PM
awight set Security to None.
awight removed a subscriber: Eileenmcnaughton.
awight added subscribers: Eileenmcnaughton, awight.

@Eileenmcnaughton: Yes, thanks!

DStrine edited a custom field.Jan 19 2016, 8:29 PM
atgo triaged this task as Normal priority.Jan 19 2016, 8:32 PM

Change 292579 had a related patch set uploaded (by Ejegg):
WIP Mustache for Direct Debit

https://gerrit.wikimedia.org/r/292579

Change 295530 had a related patch set uploaded (by Ejegg):
Generalize per-country validation

https://gerrit.wikimedia.org/r/295530

Change 295535 had a related patch set uploaded (by Ejegg):
Set address width class dynamically, fix no-state bug

https://gerrit.wikimedia.org/r/295535

Change 295546 had a related patch set uploaded (by Ejegg):
Required fields don't need to be in a group

https://gerrit.wikimedia.org/r/295546

Change 295530 merged by jenkins-bot:
Generalize per-country validation

https://gerrit.wikimedia.org/r/295530

Change 295535 merged by jenkins-bot:
Set address width class dynamically, fix no-state bug

https://gerrit.wikimedia.org/r/295535

Change 295546 merged by jenkins-bot:
Required fields don't need to be in a group

https://gerrit.wikimedia.org/r/295546

awight assigned this task to Ejegg.

Change 297839 had a related patch set uploaded (by Ejegg):
Move js to call donate API into generic forms module

https://gerrit.wikimedia.org/r/297839

Change 297845 had a related patch set uploaded (by Ejegg):
Mustache forms for Ingenico credit cards

https://gerrit.wikimedia.org/r/297845

Change 298547 had a related patch set uploaded (by Awight):
Remove unused forms

https://gerrit.wikimedia.org/r/298547

Change 298633 had a related patch set uploaded (by Awight):
[WIP] rtbt methods support getAvailableSubmethods; display logo for only submethod

https://gerrit.wikimedia.org/r/298633

Change 298547 merged by jenkins-bot:
Remove unused forms

https://gerrit.wikimedia.org/r/298547

Change 297839 merged by jenkins-bot:
Move js to call donate API into generic forms module

https://gerrit.wikimedia.org/r/297839

Change 297845 merged by jenkins-bot:
Mustache forms for Ingenico credit cards

https://gerrit.wikimedia.org/r/297845

Change 298898 had a related patch set uploaded (by Ejegg):
Reuse server-side validations in getClientSideValidations

https://gerrit.wikimedia.org/r/298898

Change 298898 merged by jenkins-bot:
Reuse server-side validations in getClientSideValidations

https://gerrit.wikimedia.org/r/298898

Ejegg renamed this task from Convert GlobalCollect forms from RapidHTML to Mustache to Convert GlobalCollect credit card forms from RapidHTML to Mustache.

Change 298633 merged by jenkins-bot:
Mustache for rtbt_ideal

https://gerrit.wikimedia.org/r/298633

Ejegg closed this task as Resolved.Jul 20 2016, 10:15 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM